From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/billiard/
Date: Thu, 18 Aug 2016 21:10:24 +0000 (UTC) [thread overview]
Message-ID: <1471554618.f2163feed1bc49a5f8189aa68781f8586dd901b3.zmedico@gentoo> (raw)
commit: f2163feed1bc49a5f8189aa68781f8586dd901b3
Author: Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 18 21:07:50 2016 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu Aug 18 21:10:18 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2163fee
dev-python/billiard: version bump to 3.5.0.0
Package-Manager: portage-2.3.0
dev-python/billiard/Manifest | 1 +
dev-python/billiard/billiard-3.5.0.0.ebuild | 58 +++++++++++++++++++++++++++++
2 files changed, 59 insertions(+)
diff --git a/dev-python/billiard/Manifest b/dev-python/billiard/Manifest
index 58637ad..9c629a4 100644
--- a/dev-python/billiard/Manifest
+++ b/dev-python/billiard/Manifest
@@ -3,3 +3,4 @@ DIST billiard-3.3.0.19.tar.gz 150943 SHA256 6e6b8ec6e45b89389051737c7e6215d8e55a
DIST billiard-3.3.0.20.tar.gz 150990 SHA256 688f9466b1c3ae14106381e6dbd328115e75c5260c542eb48e6c46931f6928cc SHA512 e068be5e0bc8bc68a38dd1cec2574da25494cfac2d9b4b951af3fd9f019080a4fe402d4b407162bcc0edbd0ac4fa406a964913e4bf1dd98dbf8a937294a34321 WHIRLPOOL 41a2ae0648d7f960c569491d0dea519787e3ba779fa27e71c2dcf12e7955175cf3b9697ca750f4e164e263abd880af287f5645c0864115ef88bb0088d31b74c2
DIST billiard-3.3.0.21.tar.gz 151141 SHA256 9705f78f0a971b91a70b3b19aa7862401b6eb3b0bffc2a2e0702ed5eeaccdae9 SHA512 29c3e0b78858dc4693a122360a23b8a0f4a40f542ef5451b1c26e8606623a40a586f2f5a99d04ff91dd2dcc34f084fa35d6ee80ca6efd98690517dd46c6ead8b WHIRLPOOL cf4e9476e0b7b18f62f945408f98d96820ee8837dd4838e9fd7c080784e66c5688fe1c05bc91927aeb57365f036ef60b200220958b1bcf14c57dc8723434b7e5
DIST billiard-3.3.0.22.tar.gz 151192 SHA256 d216181387317f8696c6d1c80a2491258d037493c1f0c6eb58992a549481e77e SHA512 751d6406efa4d4854070921eb91fa000e8cd01adebe36627e6cb1fb2281a9c9ab49694d3692fd666f8782804db5590f1fde9318873bbaa6765bcb45fad517bed WHIRLPOOL 6c25ff76fdfd50dd6cea63504acc412d264f354b2235ef6eab1444e8cf0c737bfd729da1107362bbd3afb1e813fb2c6f709ad9139db8c8a5f3f9f4497573e296
+DIST billiard-3.5.0.0.tar.gz 155959 SHA256 800fa0ac7b362585d43d2d4b8d6aeb5ada25796121956e15dc1e68cfe5319234 SHA512 c73adb0cd470e66cc6aaca848f24a991df3eda44e7adf0e83d2a7a1e87bba4381b165842e8cd297d43a4d01d4c006953107354b841cdad9fdde4e00e7a80c4f1 WHIRLPOOL 8b63cfd62dcf7f33c6441a6cc0f9fc6b668bef694c823ff6b3ffec3e6ea2d8c183639011d791038c621d83991ae686f9cfae50d8ece87b6c9ff373e935f55740
diff --git a/dev-python/billiard/billiard-3.5.0.0.ebuild b/dev-python/billiard/billiard-3.5.0.0.ebuild
new file mode 100644
index 0000000..002e9c5
--- /dev/null
+++ b/dev-python/billiard/billiard-3.5.0.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy pypy3 )
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Python multiprocessing fork"
+HOMEPAGE="https://pypi.python.org/pypi/billiard https://github.com/celery/billiard"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND=""
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/case[${PYTHON_USEDEP}]
+ >=dev-python/unittest2-0.4.0[${PYTHON_USEDEP}]
+ >=dev-python/nose-1.3.4[${PYTHON_USEDEP}]
+ dev-python/nose-cover3[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7 pypy pypy3 )
+ )"
+# The usual req'd for tests
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_compile() {
+ if ! python_is_python3; then
+ local CFLAGS=${CFLAGS}
+ append-cflags -fno-strict-aliasing
+ fi
+ distutils-r1_python_compile
+}
+
+python_compile_all() {
+ use doc && esetup.py build_sphinx --builder="html" --source-dir=Doc/
+}
+
+python_test() {
+ cd "${BUILD_DIR}" || die
+ # The teardown in __init__.py breaks pypy's installed nose
+ if [[ "${EPYTHON}" == pypy ]]; then
+ rm lib/billiard/tests/__init__.py || die
+ echo "from __future__ import absolute_import" >> ./lib/billiard/tests/__init__.py || die
+ fi
+ nosetests billiard.tests || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( build/sphinx/html/. )
+ distutils-r1_python_install_all
+}
next reply other threads:[~2016-08-18 21:10 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-08-18 21:10 Zac Medico [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-08-14 23:22 [gentoo-commits] repo/gentoo:master commit in: dev-python/billiard/ Andreas Sturmlechner
2020-03-26 13:49 Michał Górny
2020-02-04 13:32 Michał Górny
2019-06-30 21:57 Zac Medico
2018-07-21 0:06 Mikle Kolyada
2018-06-24 9:40 Mikle Kolyada
2017-05-02 15:15 Michał Górny
2017-03-17 9:10 Zac Medico
2017-02-12 15:44 Agostino Sarubbo
2017-02-04 15:21 Agostino Sarubbo
2017-01-21 17:27 Agostino Sarubbo
2017-01-21 17:16 Agostino Sarubbo
2017-01-20 10:25 Zac Medico
2017-01-19 23:27 Mike Gilbert
2016-08-30 16:35 Zac Medico
2016-08-30 16:27 Zac Medico
2015-12-13 14:05 Justin Lecher
2015-10-27 9:04 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1471554618.f2163feed1bc49a5f8189aa68781f8586dd901b3.zmedico@gentoo \
--to=zmedico@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox